package pripojeni;
import java.sql.*;
import java.util.*;

public class PripojeniDERBY {
	private static Connection connect = null;
	static {
		try {
			Class.forName("org.apache.derby.jdbc.ClientDriver").newInstance();
		} catch (InstantiationException | IllegalAccessException | ClassNotFoundException e) {
			System.out.println("Problem s nactenim driveru - nutne pridat do CLASSPATH");
		}
	}
	private static void pripojeniKDatabazi() {
		Properties props = new Properties();
		props.setProperty("create","true");
		//props.setProperty("databaseName","databaze02");
		props.setProperty("user","Uzivatel2");
		props.setProperty("password","Heslo2");
		try {
			connect = DriverManager.getConnection("jdbc:derby:C:/Program Files/JavaJDK/db/bin/databaze02",props);
			//connect = DriverManager.getConnection("jdbc:derby:C:/Datab",props);
			System.out.println("Podarilo se pripojit");
		} catch (Exception e) {
			System.err.println("Nepodarilo se pripojit");
			e.printStackTrace();
		}
	}
	private static void odpojimeDatabazi() {
		try {
			if (connect != null) {
				connect.close();
			}
			System.out.println("Podarilo se odpojit od databaze");
		} catch (SQLException e) {
			System.out.println("Nepodarilo se odpojit od databaze");
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		System.out.println("Start Programu");
		pripojeniKDatabazi();
		odpojimeDatabazi();
		System.out.println("Konec Programu");
	}
}